サポート » インストール » WP4.8バージョンでのテキストウィジェットの不具合

  • tscode

    (@tscode)


    お世話になります。
    Wordpress4.8にバージョンアップしたところ、テキストウィジェットのフォーム部分が不具合を起こしています。
    テーマは自作(roots/sage ver8.5ベース:https://roots.io/sage/)ですが、直近のバージョンまではテキストウィジェットは正常にワークしていました。
    (Twenty Seventeenだと正常にワークしてたので、もしかしたらこちらで聞くよりもsage側で聞いた方がいいのかもしれませんが・・・)

    プラグインのTinyMCE Advancedもいれていましたが、inactivateしても状況は改善されませんでした。

    
    <form method="post">
      <div class="widget-content">
        <input id="widget-text-13-title" name="widget-text[13][title]" class="title" type="hidden" value="">
        <input id="widget-text-13-text" name="widget-text[13][text]" class="text" type="hidden" value="">
      </div>
      <input type="hidden" name="widget-id" class="widget-id" value="text-13">
      <input type="hidden" name="id_base" class="id_base" value="text">
      <input type="hidden" name="widget-width" class="widget-width" value="400">
      <input type="hidden" name="widget-height" class="widget-height" value="350">
      <input type="hidden" name="widget_number" class="widget_number" value="13">
      <input type="hidden" name="multi_number" class="multi_number" value="">
      <input type="hidden" name="add_new" class="add_new" value="">
    
      <div class="widget-control-actions">
        <div class="alignleft">
          <button type="button" class="button-link button-link-delete widget-control-remove">削除</button> |
          <button type="button" class="button-link widget-control-close">閉じる</button>
        </div>
        <div class="alignright">
          <input type="submit" name="savewidget" id="widget-text-13-savewidget" class="button button-primary widget-control-save right" value="保存">			<span class="spinner"></span>
        </div>
        <br class="clear">
      </div>
    </form>
    

    4.8へのアップデートで、テキストウィジェット周りがビジュアルモードに対応したことなどかなり変更があったため、同じような状況になっている方がいらっしゃらないか、また解決の糸口がわかる方がいらっしゃらないかと思った次第です。

    https://github.com/WordPress/WordPress/commit/40ebb188cd5cd0f085673648a284b1194a9bc03b?diff=split

    にて、text-widget.jsのtype=hiddenを指定する部分が適応されているのかなと踏んでいますが・・・。

    もし何かご存知の方がいらっしゃいましたら、ご回答いただけますと幸いです。
    よろしくお願いいたします。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • manbo

    (@manbo)

    どのような不具合か分かりませんが、WordPress4.8でTinyMCEもアップデートしてますので、その辺りの絡みではないですか?
    デフォルトのテーマで問題が発生しないなら確実にテーマの不具合でしょうからテーマの開発元に尋ねた方が確実かと思います。

    nobita

    (@nobita)

    こんにちは

    こういった感じの問題でしょうか?

    http://tenman.info/labo/snip/archives/9525

    4.8.1 HTML Code Widgetってのが追加されるみたいです。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • このトピックに返信するにはログインが必要です。